This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 68014 - Kernel does not support DMA on Intel ICH4 and problems with Promise 133 card
Kernel does not support DMA on Intel ICH4 and problems with Promise 133 card
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-05 05:50 EDT by Jeremy Sanders
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-05 05:50:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeremy Sanders 2002-07-05 05:50:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1a) Gecko/20020610

Description of problem:
The kernel 2.4.18-5 and the one in rawhide don't seem to have support for Intel
ICH4 DMA access for disks.

Stock 2.4.19 will have support for the chipset, but also see a workaround for a
bios bug (required on intel boards):
http://groups.google.co.uk/groups?q=Temporary+Workaround+for+845E/845G&hl=en&lr=&ie=UTF-8&oe=UTF-8&selm=linux.kernel.3D1DF223.C56731EF%40gmx.net&rnum=1
  
2.4.18 doesn't support the recent Promise 20276 chip in the Ultra133 cards.
Would it be possible to include support for this in your kernel? Also there is a
bug in 2.4.19 which makes machines using a Promise Ultra100/133 hang. See:
http://www.mandrakeforum.com/print.php?sid=2262&lang=en
Comment 1 Arjan van de Ven 2002-07-31 10:10:58 EDT
rawhide kernel should have all of this...

Note You need to log in before you can comment on or make changes to this bug.